0% Interest for 24 Months! Learn more »
(800) 222-4700
  • Español: (800) 222-4701
Cart
February Giveaway

PT and Snow Leopard?

avid

Q: I work for the music technology department at a university, and we are planning to upgrade to Pro Tools 10. However, my school’s IT department can’t get our studios and music labs updated to Lion (Mac OS X 10.7) until next summer. Is Pro Tools 10 compatible with Snow Leopard (Mac OS X 10.6)?

A: Yes. Mac OS X 10.6.7, 10.6.8, 10.7.1, and 10.7.2 are all approved by Avid to work with Pro Tools 10 and Pro Tools 10 HD.

Avid Best Sellers

Share this Article